HomeGuidesAPI ReferenceChangelog
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Get tunnel time series drc stats data of a single appliance filter by certain query parameters.

This operation returns a JSON object containing COLUMN_DEF and DATA. COLUMN_DEF is an array containing the names indicating what corresponding number in data array means. Data objects of each appliance is an array of data arrays, each data array contains the stats for a particular timestamp. Each number is data array corresponds to a name in COLUMN_DEF.
DATA object contains only values not keys.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Internal ID of the appliance to filter from

integer
required

Long(Signed 64 bits) value of seconds since EPOCH time indicating the starting time boundary of data time range

integer
required

Long(Signed 64 bits) value of seconds since EPOCH time indicating the ending time boundary of data time range

string
enum
required

Data granularity filtering whether data is minutely data, hourly data or daily data.

Allowed:
string
required

Filter for data which belongs to tunnel with name {tunnelName}

integer

Limit the number of stats entity retrieved. Default and maximum limits are both 10000.

string
enum

The only format other than JSON we support currently is CSV, so format=csv.

Allowed:
boolean

Using IP as key for grouping stats instead of using internal appliance id as key. Default value if false

integer

Instead of providing {startTime} and {endTime}, using {latest} query parameter could provide you stats for, say latest 10 minutes. Unit is minute. Example: latest=10. Default is to use {startTime} and {endTime} but if {latest} is presented then {latest} takes priority.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json